# class toResultViewMLine | This item expands the height to commodate all lines in the input buffer. More...
Definition | `#include <toresultview.h>`
Inherits | toResultViewItem [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toResultViewMLine (QListView *parent,QListViewItem *after,const QString &buf=QString::null)
- toResultViewMLine (QListViewItem *parent,QListViewItem *after,const QString &buf=QString::null)
- virtual void setText (int,const QString &)
- virtual void setup (void)
- virtual QString text (int col) const
- virtual QString allText (int col) const
- virtual int width (const QFontMetrics &fm, const QListView *top, int column) const
- virtual void paintCell (QPainter *pnt,const QColorGroup & cg,int column,int width,int alignment)

## Detailed Description

This item expands the height to commodate all lines in the input buffer.

toResultViewMLine (QListView *parent,QListViewItem *after,const QString &buf=QString::null) | ### toResultViewMLine

Create a new item.

Parameters:

parent | Parent list view.
after | Insert after this item.
buffer | String to set as first column

toResultViewMLine (QListViewItem *parent,QListViewItem *after,const QString &buf=QString::null) | ### toResultViewMLine

Create a new item.

Parameters:

parent | Parent to this item.
after | Insert after this item.
buffer | String to set as first column

void setText (int,const QString &) | ### setText

[virtual]

Reimplemented for internal reasons.

Reimplemented from QListViewItem.

void setup (void) | ### setup

[virtual]

Reimplemented for internal reasons.

Reimplemented from QListViewItem.

QString text (int col) | ### text

[const virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewItem.

QString allText (int col) | ### allText

[const virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewItem.

int width (const QFontMetrics &fm, const QListView *top, int column) | ### width

[const virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewItem.

void paintCell (QPainter *pnt,const QColorGroup & cg,int column,int width,int alignment) | ### paintCell

[virtual]

Reimplemented for internal reasons.

Reimplemented from toResultViewItem.